Skip to main content
DELETE
/
api
/
v1
/
ssh
/
host-groups
/
{sshHostGroupId}
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v1/ssh/host-groups/{sshHostGroupId}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectId": "<string>",
  "name": "<string>",
  "loginMappings": [
    {
      "loginUser": "<string>",
      "allowedPrincipals": {
        "usernames": [
          "<string>"
        ],
        "groups": [
          "<string>"
        ]
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

sshHostGroupId
string
required

The ID of the SSH host group to delete.

Response

Default Response

id
string<uuid>
required
projectId
string
required
name
string
required
loginMappings
object[]
required